xcode4.3が起動できなくなった

起動すると、Mobile Device Frameworkをインストールする画面が出るけど、エラーになる。

その場合の対処。

4.3のdmgファイル(xcode_4.3.1_for_lion.dmgなど)をダブルクリックでマウントし、
表示されるXcodeを右クリック>パッケージの内容の表示を選択

Contents > Resources > Packages にある
MobileDevice.pkg をダブルクリックでインストールする。

その後、Xcode4.3を起動。

参考:https://discussions.apple.com/message/18081825#18081825

旧端末用 というより、iPhone5対応をまだせず、iOS3〜に対応するようなアプリに関しては、armv6をサポートする4.3でビルドしないといけない。

4.5でビルドすると、armv6用のバイナリが作れないのでiPhone3GS以降、対応iOSバージョンが4.3〜となる。

シェアする

  • このエントリーをはてなブックマークに追加

フォロミー

コメントをどうぞ

メールアドレスが公開されることはありません。